#/bin.bash

docker run \
	--name rancher \
	--privileged \
	-d \
	--restart=always \
	--user root \
	-e SSL_CERT_DIR=/apps/ssl \
	--add-host raw.githubusercontent.com:185.199.109.133 \
	--add-host repository.umisen.com:10.220.10.17 \
	-v ./registries.yaml:/etc/rancher/k3s/registries.yaml \
	-v ./data:/data \
    -p 20443:443 \
    -p 80:30080 \
	-p 443:30443 \
	rancher/rancher

# -v $(pwd)/ca.crt:/apps/ssl/nf_ca.crt \
# --add-host repository.umisen.com:10.220.10.17 \
# --network=host \

# zypper addrepo https://download.opensuse.org/repositories/network:utilities/SLE_15_SP5/network:utilities.repo
# zypper refresh
# zypper install net-tools-deprecated

# example registries.yaml
# configs:
  # "repository.umisen.com":
    # tls:
      # insecure_skip_verify: true
